#!/bin/csh -f

if ($#argv != 2) then
  echo "USAGE: 06_diff.cmd (label) [commit]"
  exit 2
endif

set label = $1
if ("$2" == "commit") then
  set pretend = ""
else
  set pretend = "-pretend"
endif

set common_opts = ""
set common_opts = "$common_opts -dbname gpc1"
set common_opts = "$common_opts -definewarpstack"
set common_opts = "$common_opts -available"
set common_opts = "$common_opts -set_reduction WARPSTACK_PV3"
set common_opts = "$common_opts -set_workdir neb://@HOST@.0/SAS2/$label"
set common_opts = "$common_opts -set_label $label"
set common_opts = "$common_opts -warp_label SAS.20151104"
set common_opts = "$common_opts -stack_label LAP.PV3.20140730.final"
set common_opts = "$common_opts -set_data_group $label"
set common_opts = "$common_opts -set_dist_group SAS"
set common_opts = "$common_opts -good_frac 0.2"
set common_opts = "$common_opts -simple"

echo $common_opts

difftool $pretend $common_opts
